\version "2.12.1"

\header {
    title = "A-moll"
    composer="A.Segovia"
}

% European system (A B H C D E F G)
\include "deutsch.ly"
% Ancient notation (for non-regular barlines)
\include "gregorian.ly"

% Ajust size
#(set-global-staff-size 22)

% Some magic here (for spanning string numbers)
stringNumberSpanner =
#(define-music-function (parser location StringNumber) (string?)
  #{
    \override TextSpanner #'style = #'dashed-line
    \override TextSpanner #'dash-period = #1
    \override TextSpanner #'font-size = #-5
    \override TextSpanner #'(bound-details left stencil-align-dir-y) = #CENTER
    \override TextSpanner #'(bound-details left text) = \markup { \circle \number $StringNumber }
  #})

global = {
  \key c \major
}

\score {
  \new Staff
  \relative c' {
    % For explicit naturals
    #(set-accidental-style 'no-reset)
    \stringNumberSpanner "5"
    \textSpannerDown
    a-3\startTextSpan
    h-1
    c-2
    d-4
    e-2
    fis-4
    \stopTextSpan
    \stringNumberSpanner "4"
    gis-1\startTextSpan
    a-2
    h-4
    c-2
    d-4
    \stopTextSpan
    \stringNumberSpanner "3"
    e-1\startTextSpan
    fis-3
    \stopTextSpan
    \stringNumberSpanner "2"
    gis-1\startTextSpan
    a-1
    h-3
    c-4
    \stopTextSpan
    \stringNumberSpanner "1"
    d-1\startTextSpan
    e-3
    fis-1
    gis-3
    a-4
    g-2
    f-4
    e-3
    d-1
    \stopTextSpan
    \stringNumberSpanner "2"
    c-4\startTextSpan
    h-3
    a-1
    \stopTextSpan
    \stringNumberSpanner "3"
    g-3\startTextSpan
    f-1
    #(set-accidental-style 'default)
    e-3
    d-1
    \stopTextSpan
    \stringNumberSpanner "4"
    \textSpannerDown
    c-4\startTextSpan
    h-3
    a-1
    g-4
    f-2
    e-1
    \stopTextSpan
    \stringNumberSpanner "5"
    d-4\startTextSpan
    c-2
    h-1
    a-0
    \stopTextSpan
    \finalis
  }
  \layout{
    \context{
      \Staff
        \remove Time_signature_engraver
        \remove "Bar_engraver"
    }
  }
  \midi{}
}
